/* Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.client.shared.model;

import java.util.List;


/**
 * The UINFO implementation of an Artifact.
 *
 * @author Gernot Belger
 */
public class UINFOArtifact extends DefaultArtifact {

    /** The name of this artifact: 'uinfo'.*/
    private static final String NAME = "uinfo";

    /** Necessary for serialization */
    public UINFOArtifact() {
    }

    public UINFOArtifact(
        String                   uuid,
        String                   hash,
        boolean                  inBackground,
        List<CalculationMessage> messages
    ) {
        super(uuid, hash, inBackground, messages);
    }


    public String getName() {
        return NAME;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
